searchData={"items":[{"type":"extras","title":"Phosphor Icons","doc":"# Phosphor Icons\n\nThis package will import the beautiful icon set from Phosphor Icons including all available variants.\n\nCheck them at [Phosphor Icons](https://phosphoricons.com/)!","ref":"readme.html"},{"type":"extras","title":"Installation - Phosphor Icons","doc":"The package can be installed by adding `phosphor_icons` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [ \n    # ...,\n    {:phosphor_icons, \"~> 0.0.1\", compile: false, app: false}\n  ]\nend\n```\n\nThe docs can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Usage with Phoenix <.icon /> - Phosphor Icons","doc":"If you are using the default Phoenix's `CoreComponents.icon` with Tailwind CSS, you can simply use the icons like this:\n\n```html\n<!-- regular styled icons -->\n<.icon name=\"pi-NAME\" />\n\n<!-- variants -->\n<.icon name=\"pi-NAME-VARIANT\" />\n```\n\nwhere:\n\n- `NAME` is the icon name shown in the [Phosphor Icons website](https://phosphoricons.com/#toolbar).\n- `VARIANT` is one of the available variants: `thin`, `light`, `bold`, `fill`, `duotone`\n\nHere is some examples:\n\n```html\n<.icon name=\"pi-drop-thin\" />\n<.icon name=\"pi-drop-light\" />\n<.icon name=\"pi-drop\" /> <!-- regular -->\n<.icon name=\"pi-drop-bold\" />\n<.icon name=\"pi-drop-fill\" />\n<.icon name=\"pi-drop-duotone\" />\n\n<.icon name=\"pi-drop-half-bottom-thin\" />\n<.icon name=\"pi-drop-half-bottom-light\" />\n<.icon name=\"pi-drop-half-bottom\" /> <!-- regular -->\n<.icon name=\"pi-drop-half-bottom-bold\" />\n<.icon name=\"pi-drop-half-bottom-fill\" />\n<.icon name=\"pi-drop-half-bottom-duotone\" />\n```","ref":"readme.html#usage-with-phoenix-icon"},{"type":"extras","title":"Tailwind CSS Config - Phosphor Icons","doc":"You have to update the Tailwind CSS config with the following (or something similar):\n\n```js\n// assets/tailwind.config.js\nmodule.exports = {\n  // ...\n  plugins: [\n    // ..\n    plugin(function ({ matchComponents, theme }) {\n      let baseDir = path.join(__dirname, \"../deps/phosphor_icons/core/raw\");\n      // for an umbrella app use the following instead\n      // let baseDir = path.join(__dirname, \"../../../deps/phosphor_icons/core/raw\");\n      let values = {};\n      let icons = fs\n        .readdirSync(baseDir, { withFileTypes: true })\n        .filter((dirent) => dirent.isDirectory())\n        .map((dirent) => dirent.name);\n\n      icons.forEach((dir) => {\n        fs.readdirSync(path.join(baseDir, dir)).map((file) => {\n          let name = path.basename(file, \".svg\");\n\n          values[name] = { name, fullPath: path.join(baseDir, dir, file) };\n        });\n      });\n\n      matchComponents(\n        {\n          pi: ({ name, fullPath }) => {\n            let content = fs\n              .readFileSync(fullPath)\n              .toString()\n              .replace(/\\r?\\n|\\r/g, \"\");\n\n            return {\n              [`--pi-${name}`]: `url('data:image/svg+xml;utf8,${content}')`,\n              \"-webkit-mask\": `var(--pi-${name})`,\n              mask: `var(--pi-${name})`,\n              \"background-color\": \"currentColor\",\n              \"vertical-align\": \"middle\",\n              display: \"inline-block\",\n              width: theme(\"spacing.10\"),\n              height: theme(\"spacing.10\"),\n            };\n          },\n        },\n        { values }\n      );\n    })\n  ]\n}\n```","ref":"readme.html#tailwind-css-config"},{"type":"extras","title":"Usage of SVG images - Phosphor Icons","doc":"This package is simply importing all the SVG icons.\n\nThey can be found in your `deps` folder at:\n`deps/phosphor_icons/core/raw/VARIANT/NAME.svg` where:\n\n- `VARIANT` is one of the available variant: `thin`, `light`, `regular`, `bold`, `fill`, `duotone`\n- `NAME` is the icon name shown in the [Phosphor Icons website](https://phosphoricons.com/#toolbar).","ref":"readme.html#usage-of-svg-images"},{"type":"extras","title":"Disclaimer - Phosphor Icons","doc":"This package is not affiliated with Phosphor Icons.\n\nThis repo is using the Phosphor Icons Core repository as a source: [`phosphor-icons/core`](https://github.com/phosphor-icons/core).\n\nThe version of this package should match the Phosphor Icons version.","ref":"readme.html#disclaimer"},{"type":"extras","title":"License - Phosphor Icons","doc":"MIT","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}